/*
 Test two servos, indefinitely
 Direction of servo travel depends
   on make and model of servo
*/

#include "simpletools.h"               // Include simpletools library
#include "servo.h"                     // Include servo library

int main()                             // main function
{
  while(1)					   // Repeat forever
  {
    // Go forward
    servo_angle(16, 0);                // P16 (right) servo turn CW
    servo_angle(17, 1800);		   // P17 (left) servo turn CCW
    pause(2000);                       // Wait 3 seconds

    // Go backward
    servo_angle(16, 1800);             // Right servo turn CCW
    servo_angle(17, 0);			   // Left servo turn CW
    pause(2000);                       // Wait 3 seconds again
  
    //Spin left
    servo_angle(16, 0); 
    servo_angle(17, 0);                     
    pause(2000);                              

    // Spin right
    servo_angle(16, 1800);
    servo_angle(17, 1800);
    pause(2000); 
  }    
}

